Product comparison · 2 wired routers

TP-Link Talon AD7200 vs TP-Link TD-W9970B wired router Fast Ethernet White

Add a product
  • 40specifications compared
  • 20differ
  • 20identical
  • 26known for one product only

Key differences

  • Ethernet interface type
    • Talon AD7200:Gigabit Ethernet
    • TD-W9970B wired router Fast Ethernet White:Fast Ethernet
  • Cabling technology
    • Talon AD7200:10/100/1000Base-T(X)
    • TD-W9970B wired router Fast Ethernet White:10/100Base-T(X)
  • Ethernet LAN data rates
    • Talon AD7200:10,100,1000 Mbit/s
    • TD-W9970B wired router Fast Ethernet White:10,100 Mbit/s
  • Frequency range
    • Talon AD7200:2.4 - 5 GHz
    • TD-W9970B wired router Fast Ethernet White:2.4
  • Ethernet LAN (RJ-45) ports
    • Talon AD7200:5
    • TD-W9970B wired router Fast Ethernet White:4
  • USB ports quantity
    • Talon AD7200:2
    • TD-W9970B wired router Fast Ethernet White:1
  • USB version
    • Talon AD7200:3.2 Gen 1 (3.1 Gen 1)
    • TD-W9970B wired router Fast Ethernet White:2.0
  • Cables included
    • Talon AD7200:LAN (RJ-45)
    • TD-W9970B wired router Fast Ethernet White:LAN (RJ-45), Phone (RJ-11)

Side by side

Differences highlightedShow differences only (on)
Comparison of Talon AD7200, TD-W9970B
66 specifications
WAN connectionidentical
DSL WANKnown for oneUnknown — not stated by the sourceYes
Network5 differ
Networking standardsDiffersIEEE 802.11a, IEEE 802.11ac, IEEE 802.11ad, IEEE 802.11b, IEEE 802.11g, IEEE 802.11nIEEE 802.11b, IEEE 802.11g, IEEE 802.11n
Ethernet interface typeDiffersGigabit EthernetFast Ethernet
Cabling technologyDiffers10/100/1000Base-T(X)10/100Base-T(X)
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s10,100 Mbit/s
Frequency rangeDiffers2.4 - 5 GHz2.4
Signal strengthKnown for oneUnknown — not stated by the source20 dBm
Port forwardingKnown for oneYesUnknown — not stated by the source
Receiver sensitivityKnown for one5GHz: 11a 6Mbps: -94dBm 11a 54Mbps: -76dBm "11ac VHT20_MCS0: -93dBm 11ac VHT20_MCS8:-69dBm 11ac VHT40_MCS0: -90dBm 11ac VHT40_MCS9: -64dBm 11ac VHT80_MCS0: -87dBm 11ac VHT80_MCS9: -61dBm" 2.4GHz: 11g 6Mbps: -95dBm 11g 54Mbps: -78dBm "11n HT20_MCS0: -95dBm 11n HT20_MCS7: -75dBm 11n HT20_MCS8: -70dBmUnknown — not stated by the source
DSL featuresidentical
VDSL2Known for oneUnknown — not stated by the sourceYes
Management featuresidentical
Web-based managementKnown for oneUnknown — not stated by the sourceYes
WPS push buttonKnown for oneYesUnknown — not stated by the source
Ports & interfaces3 differ
Ethernet LAN (RJ-45) portsDiffers54
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
USB ports quantityDiffers21
USB versionDiffers3.2 Gen 1 (3.1 Gen 1)2.0
DC-in jackKnown for oneYesUnknown — not stated by the source
Protocolsidentical
Routing protocolsKnown for oneUnknown — not stated by the sourceRIP-1, RIP-2
Management protocolsKnown for oneUnknown — not stated by the sourceHTTP, SNMP V1/V2C, CWMP(TR-069)
Supported protocolsKnown for oneUnknown — not stated by the sourceATM Forum UNI3.1/4.0 PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225) PVC
Security1 differ
FirewallKnown for oneUnknown — not stated by the sourceYes
Firewall securityKnown for oneUnknown — not stated by the sourceNetwork address translation (NAT) firewall, Stateful packet inspection (SPI) firewall
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
URL filteringKnown for oneUnknown — not stated by the sourceYes
IP address filteringKnown for oneUnknown — not stated by the sourceYes
Network address translation (NAT)Known for oneUnknown — not stated by the sourceYes
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
VPN supportDiffersPPTP, OpenVPNPPTP, L2TP, IPSec Pass-through
Packaging content1 differ
AC adapter includedKnown for oneUnknown — not stated by the sourceYes
Cables includedDiffersLAN (RJ-45)LAN (RJ-45), Phone (RJ-11)
Features2 differ
Windows operating systems supportedDiffersYesWindows 10 Education, Windows 10 Education x64, Windows 10 Enterprise, Windows 10 Enterprise x64, Windows 10 Home, Windows 10 Home x64, Windows 10 IOT Core, Windows 10 Pro, Windows 10 Pro x64, Windows 7 Enterprise, Windows 7 Enterprise x64, Windows 7 Home Basic, Windows 7 Home Basic x64, Windows 7 H
CertificationDiffersCE, FCC, RoHSCE, RoHS
Built-in processorKnown for oneYesUnknown — not stated by the source
Processor frequencyKnown for one1400 MHzUnknown — not stated by the source
Processor coresKnown for one2Unknown — not stated by the source
Minimum system requirementsKnown for oneMicrosoft Windows 98SE, NT, 2000, XP, Vista™ or Windows 7, Windows 8/8.1/10, MAC OS, NetWare, UNIX or LinuxUnknown — not stated by the source
Design1 differ
Product colourDiffersBlackWhite
LED indicatorsKnown for onePowerUnknown — not stated by the source
Antenna2 differ
Antenna typeDiffersInternal & externalExternal
Antenna gain level (max)Known for oneUnknown — not stated by the source5 dBi
Antennas quantityDiffers82
Power1 differ
Output currentDiffers4.2 A1 A
Weight & dimensions3 differ
WidthDiffers230 mm195 mm
DepthDiffers230 mm130 mm
HeightDiffers43 mm36 mm
Other features1 differ
Supported WAN typeDiffersDynamic IP/Static IP/PPPoE/ PPTP(Dual Access)/L2TP(Dual Access)EWAN

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wired router comparisons

All wired router comparisons